## python-keystoneauth1 5.3.1

=== debian/changelog ===
python-keystoneauth1 (5.3.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:25:00 +0000

python-keystoneauth1 (5.3.0-3) unstable; urgency=medium

  * Add debian/patches/py3.12-do-not-use-utcnow.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Dec 2023 09:54:50 +0100

python-keystoneauth1 (5.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * d/watch: use version 4 and gitmode.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Oct 2023 09:03:54 +0200

=== debian/control ===
Source: python-keystoneauth1
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-betamax,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-lxml,
 python3-oauthlib,
 python3-openstackdocstheme <!nodoc>,
 python3-os-service-types,
 python3-oslo.config,
 python3-oslo.utils,
 python3-oslotest,
 python3-pep8,
 python3-requests,
 python3-requests-kerberos,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testresources,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1.git
Homepage: http://www.openstack.org/

Package: python-keystoneauth1-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: authentication library for OpenStack Identity - doc
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the documentation.

Package: python3-keystoneauth1
Architecture: all
Depends:
 python3-iso8601,
 python3-lxml,
 python3-oauthlib,
 python3-os-service-types,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-keystoneauth1-doc,
 python3-requests-kerberos,
Description: authentication library for OpenStack Identity - Python 3.x
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/keystoneauth.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info doc/source/api
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-keystoneauth1-doc/usr/share/doc/python-keystoneauth1-doc/html
	dh_sphinxdoc
endif

## python-keystoneauth1 5.6.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# All additions to this file must have significant justification.

# NOTE(morgan) At no time may any oslo library be added to the keystoneauth
# requirements. The requirements for keystoneauth are very tightly controlled
# to ensure we are not pulling in a ton of transient dependencies. This is
# important from the standpoint of ensuring keystoneauth can be used outside
# of openstack-specific projects (allowing interaction with openstack APIs)
# where oslo and associated transient dependencies are not desired.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
iso8601>=0.1.11 # MIT
requests>=2.14.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
os-service-types>=1.2.0  # Apache-2.0

=== debian/changelog ===
python-keystoneauth1 (5.6.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/p/datetime-deprecations.patch: Rework use of utcnow as this
    function is deprecated.
  * d/p/*: Refresh.
  * d/rules,exclude-list.txt: Skip single failing test with Python 3.12.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 15:44:17 +0000

python-keystoneauth1 (5.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:44:44 -0400

python-keystoneauth1 (5.2.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jul 2023 13:54:48 -0400

python-keystoneauth1 (5.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 16:56:55 -0400

python-keystoneauth1 (5.1.2-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Feb 2023 15:56:39 -0500

python-keystoneauth1 (5.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:24:51 -0500

python-keystoneauth1 (5.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 17:59:04 -0400

python-keystoneauth1 (4.6.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 14:00:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,50 @@
 Source: python-keystoneauth1
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
 Build-Depends-Indep:
- python3-betamax,
- python3-coverage,
- python3-fixtures,
- python3-hacking,
- python3-iso8601,
- python3-lxml,
- python3-oauthlib,
- python3-openstackdocstheme <!nodoc>,
- python3-os-service-types,
- python3-oslo.config,
- python3-oslo.utils,
- python3-oslotest,
+ python3-betamax (>= 0.7.0),
+ python3-coverage (>= 4.0),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 1.1.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-lxml (>= 4.2.0),
+ python3-mock (>= 2.0.0),
+ python3-oauthlib (>= 0.6.2),
+ python3-openstackdocstheme (>= 2.2.1) <!nodoc>,
+ python3-os-service-types (>= 1.2.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-pep8,
- python3-requests,
- python3-requests-kerberos,
- python3-requests-mock,
- python3-sphinxcontrib.apidoc,
- python3-stestr,
- python3-stevedore,
+ python3-requests (>= 2.14.2),
+ python3-requests-kerberos (>= 0.8.0),
+ python3-requests-mock (>= 1.2.0),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:1.20.0),
  python3-subunit,
- python3-testresources,
- python3-testtools,
- python3-yaml,
+ python3-testresources (>= 2.0.0),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.12),
  subunit,
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1.git
-Homepage: http://www.openstack.org/
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-keystoneauth1
+Homepage: https://www.openstack.org/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-keystoneauth1-doc
 Build-Profiles: <!nodoc>
@@ -63,13 +66,14 @@
 Package: python3-keystoneauth1
 Architecture: all
 Depends:
- python3-iso8601,
+ python3-iso8601 (>= 0.1.11),
  python3-lxml,
  python3-oauthlib,
- python3-os-service-types,
- python3-pbr,
- python3-requests,
- python3-stevedore,
+ python3-os-service-types (>= 1.2.0),
+ python3-pbr (>= 2.0.0),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=keystoneauth1

UPSTREAM_GIT := https://github.com/openstack/keystoneauth.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --exclude-list=$(CURDIR)/debian/exclude-list.txt
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-keystoneauth1-doc/usr/share/doc/python-keystoneauth1-doc/html
	dh_sphinxdoc
endif

## python-keystoneauth1 5.6.1

=== debian/changelog ===
python-keystoneauth1 (5.6.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 14 Apr 2025 08:49:16 +0000

python-keystoneauth1 (5.6.0-3) unstable; urgency=medium

  * Blacklist test_keystoneauth_betamax_fixture() (Closes: #1073449).

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jul 2024 11:30:53 +0200

python-keystoneauth1 (5.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:02:33 +0200

python-keystoneauth1 (5.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 17:22:44 +0100

python-keystoneauth1 (5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Feb 2024 09:07:27 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,15 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=keystoneauth1
 
 UPSTREAM_GIT := https://github.com/openstack/keystoneauth.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info doc/source/api
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -21,7 +21,8 @@
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 --exclude-list=$(CURDIR)/debian/exclude-list.txt
+	# See https://bugs.launchpad.net/keystoneauth/+bug/2072481 & https://bugs.debian.org/1073449
+	pkgos-dh_auto_test --no-py2 'keystoneauth1\.tests\.unit\.(?!test_betamax_fixture\.TestBetamaxFixture\.test_keystoneauth_betamax_fixture)'
 endif
 
 override_dh_sphinxdoc:

## python-keystoneauth1 5.7.0

=== debian/changelog ===
python-keystoneauth1 (5.7.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. 
  * d/p/datetime-deprecations.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 08:24:03 +0100

## python-keystoneauth1 5.8.0

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # of openstack-specific projects (allowing interaction with openstack APIs)
 # where oslo and associated transient dependencies are not desired.
 
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+pbr>=2.0.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
 requests>=2.14.2 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-keystoneauth1 (5.8.0-4) unstable; urgency=medium

  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 09:21:04 +0100

python-keystoneauth1 (5.8.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090521).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:25:03 +0100

python-keystoneauth1 (5.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:04:10 +0200

python-keystoneauth1 (5.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 09:20:31 +0200

python-keystoneauth1 (5.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop py3.12-do-not-use-utcnow.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 10:38:03 +0200

=== debian/control ===
Source: python-keystoneauth1
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-betamax,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-lxml,
 python3-oauthlib,
 python3-openstackdocstheme <!nodoc>,
 python3-os-service-types,
 python3-oslo.config,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-requests-kerberos,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testresources,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1.git
Homepage: http://www.openstack.org/

Package: python-keystoneauth1-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: authentication library for OpenStack Identity - doc
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the documentation.

Package: python3-keystoneauth1
Architecture: all
Depends:
 python3-iso8601,
 python3-lxml,
 python3-oauthlib,
 python3-os-service-types,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-keystoneauth1-doc,
 python3-requests-kerberos,
Description: authentication library for OpenStack Identity - Python 3.x
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 3.x module.

## python-keystoneauth1 5.8.1

=== debian/changelog ===
python-keystoneauth1 (5.8.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Mon, 14 Apr 2025 07:31:17 +0000

## python-keystoneauth1 5.9.1

=== debian/changelog ===
python-keystoneauth1 (5.9.1-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/p/*: Refresh.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop dependencies on six, mock and pep8 as these are not
    required.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jan 2025 14:48:02 +0000

python-keystoneauth1 (5.8.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 10:15:44 +0100

## python-keystoneauth1 5.10.0

=== doc/requirements.txt ===
# For generationg sphinx documentation
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

# For autodoc builds
fixtures>=3.0.0 # Apache-2.0/BSD
betamax>=0.7.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
requests-mock>=1.2.0 # Apache-2.0
lxml>=4.2.0 # BSD
oauthlib>=0.6.2 # BSD

=== debian/changelog ===
python-keystoneauth1 (5.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:38:22 +0100

python-keystoneauth1 (5.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased no-intersphinx-in-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 15:14:31 +0100

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/keystoneauth refs/tags/(\d[brc\d\.]+)

## python-keystoneauth1 5.11.1

=== debian/changelog ===
python-keystoneauth1 (5.11.1-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/no-intersphinx-in-doc.patch: Refresh.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Flamingo key verification.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 15 Jul 2025 14:01:59 -0700

python-keystoneauth1 (5.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Feb 2025 14:11:42 +0000

## python-keystoneauth1 5.12.0

=== requirements.txt ===
--- 
+++ 
@@ -12,7 +12,8 @@
 # where oslo and associated transient dependencies are not desired.
 
 pbr>=2.0.0 # Apache-2.0
-iso8601>=0.1.11 # MIT
+iso8601>=2.0.0 # MIT
 requests>=2.14.2 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
-os-service-types>=1.2.0  # Apache-2.0
+os-service-types>=1.2.0 # Apache-2.0
+typing-extensions>=4.12 # PSF

=== debian/changelog ===
python-keystoneauth1 (5.12.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:18:08 +0200

python-keystoneauth1 (5.12.0-2) experimental; urgency=medium

  * Fixed installing files.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2025 18:02:22 +0200

python-keystoneauth1 (5.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:32:06 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-coverage,
  python3-fixtures,
  python3-hacking,
- python3-iso8601,
+ python3-iso8601 (>= 2.0.0),
  python3-lxml,
  python3-oauthlib,
  python3-openstackdocstheme <!nodoc>,
@@ -35,6 +35,7 @@
  python3-subunit,
  python3-testresources,
  python3-testtools,
+ python3-typing-extensions (>= 4.12),
  python3-yaml,
  subunit,
 Standards-Version: 4.5.1
@@ -62,13 +63,14 @@
 Package: python3-keystoneauth1
 Architecture: all
 Depends:
- python3-iso8601,
+ python3-iso8601 (>= 2.0.0),
  python3-lxml,
  python3-oauthlib,
  python3-os-service-types,
  python3-pbr,
  python3-requests,
  python3-stevedore,
+ python3-typing-extensions (>= 4.12),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info doc/source/api

## python-keystoneauth1 5.13.1

=== debian/changelog ===
python-keystoneauth1 (5.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 14:08:19 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr *.egg-info doc/source/api
+	rm -rf build .stestr *.egg-info doc/source/api .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
